# GeoIP: d3GeoIP Klassenreferenz

Öffentliche Methoden | Geschützte Methoden | Geschützte Attribute

# d3GeoIP Klassenreferenz

## Öffentliche Methoden

| __construct ()
| getUserLocationCountryObject ($sIP=false)
| getIP ()
| LoadByIPNum ($iIPNum)
| getCountryObject ($sISOAlpha)
| getCountryFallBackObject ()
| setCountryLanguage ()
| setCountryCurrency ()
| performShopSwitch ()
| performURLSwitch ()
| getShopUrls ()

## Geschützte Methoden

| _getNumIp ($sIP)
| _getModConfig ()
| _getLog ()

## Geschützte Attribute

| $_sClassName = 'd3geoip'

## Beschreibung der Konstruktoren und Destruktoren

__construct | ( | ) |

Class constructor, initiates parent constructor (parent::oxI18n()).

Rückgabe:
  null

## Dokumentation der Elementfunktionen

_getLog | ( | ) | `[protected]`

get d3log instance

Rückgabe:
  object

_getModConfig | ( | ) | `[protected]`

get modcfg instance

Rückgabe:
  object

_getNumIp | ( | $ | sIP ) | `[protected]`

get IP number by IP address

Parameter:

  string | $sIP | IP address

Rückgabe:
  int IP number

getCountryFallBackObject | ( | ) |

get oxcountry object for fallback, if set

Rückgabe:
  object

getCountryObject | ( | $ | sISOAlpha ) |

get oxcountry object by ISO alpha 2 ID

Parameter:

  string | $sISOAlpha |

Rückgabe:
  object

getIP | ( | ) |

get IP address from client or set test IP address

Rückgabe:
  string

getShopUrls | ( | ) |

get all shop urls

Rückgabe:
  array

getUserLocationCountryObject | ( | $ | sIP = `false` ) |

get oxcountry object by given IP address (optional)

Parameter:

  string | $sIP | optional

Rückgabe:
  object

LoadByIPNum | ( | $ | iIPNum ) |

get ISO alpha 2 ID by IP number

Parameter:

  int | $iIPNum | IP number

Rückgabe:
  string

performShopSwitch | ( | ) |

check module active state and perform switching to user country specific shop (EE only)

performURLSwitch | ( | ) |

check module active state and perform switching to user country specific url

setCountryCurrency | ( | ) |

check module active state and set user country specific currency

setCountryLanguage | ( | ) |

check module active state and set user country specific language

## Dokumentation der Datenelemente

$_sClassName = 'd3geoip'`[protected]`

Die Dokumentation für diese Klasse wurde erzeugt aufgrund der Datei:

- copy_this/core/d3geoip.php

Alle Datenstrukturen Dateien Funktionen Variablen